Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000753KdenliveFile Loadingpublic2009-04-07 23:532009-06-18 01:51
Reporternadavkav 
Assigned To 
PrioritynormalSeveritycrashReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version0.7.2 
Target VersionFixed in Version0.7.3 
Summary0000753: crash while saving project
Descriptioni have some images and videos on the resource's list an i had them placed on the time line too. i was ready to save the project and it crashed on clicking the save project in the save dialog after i gave it a name.
Additional InformationApplication: Kdenlive (kdenlive), signal SIGABRT
0x00007f0c082508d1 in nanosleep () from /lib/libc.so.6
[Current thread is 1 (Thread 0x7f0c0c54f700 (LWP 24977))]

Thread 6 (Thread 0x7f0bef566950 (LWP 25024)):
#0 0x00007f0c08279b22 in select () from /lib/libc.so.6
#1 0x00007f0c08dde576 in QProcessManager::run (this=0x1d5c840) at io/qprocess_unix.cpp:305
0000002 0x00007f0c08d17802 in QThreadPrivate::start (arg=0x1d5c840) at thread/qthread_unix.cpp:189
0000003 0x00007f0c07d99faa in start_thread (arg=<value optimized out>) at pthread_create.c:297
0000004 0x00007f0c082802cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
0000005 0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7f0be67b4950 (LWP 25115)):
#0 pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:217
#1 0x00007f0bee006cb1 in ?? () from /usr/lib/libxine.so.1
0000002 0x00007f0c07d99faa in start_thread (arg=<value optimized out>) at pthread_create.c:297
0000003 0x00007f0c082802cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
0000004 0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7f0be032b950 (LWP 25117)):
#0 0x00007fff147fe73c in clock_gettime ()
#1 0x00007f0c04607f6f in *__GI_clock_gettime (clock_id=1, tp=0x7f0be032ae10) at ../sysdeps/unix/clock_gettime.c:100
0000002 0x00007f0c08e2adad in QTimerInfoList::getTime (this=<value optimized out>, t=@0x25eff10) at kernel/qeventdispatcher_unix.cpp:339
0000003 0x00007f0c08e2afa1 in QTimerInfoList::updateCurrentTime (this=0x1) at kernel/qeventdispatcher_unix.cpp:297
0000004 0x00007f0c08e2ceb3 in QTimerInfoList::timerWait (this=0x1, tm=@0x7f0be032ae10) at kernel/qeventdispatcher_unix.cpp:420
0000005 0x00007f0c08e2946c in timerSourcePrepare (source=<value optimized out>, timeout=0x7f0be032af04) at kernel/qeventdispatcher_glib.cpp:140
0000006 0x00007f0c050dde12 in g_main_context_prepare () from /usr/lib/libglib-2.0.so.0
0000007 0x00007f0c050de22f in ?? () from /usr/lib/libglib-2.0.so.0
0000008 0x00007f0c050de6ac in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
0000009 0x00007f0c08e292be in QEventDispatcherGlib::processEvents (this=0x25ee9b0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:325
0000010 0x00007f0c08dfe4f2 in QEventLoop::processEvents (this=<value optimized out>, flags={i = -533548976}) at kernel/qeventloop.cpp:149
0000011 0x00007f0c08dfe8bd in QEventLoop::exec (this=0x7f0be032b090, flags={i = -533548896}) at kernel/qeventloop.cpp:200
0000012 0x00007f0c08d148a8 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:481
0000013 0x00007f0bee261634 in ?? () from /usr/lib/kde4/plugins/phonon_backend/phonon_xine.so
0000014 0x00007f0c08d17802 in QThreadPrivate::start (arg=0x25ee3b0) at thread/qthread_unix.cpp:189
0000015 0x00007f0c07d99faa in start_thread (arg=<value optimized out>) at pthread_create.c:297
0000016 0x00007f0c082802cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
0000017 0x0000000000000000 in ?? ()
Current language: auto; currently asm

Thread 3 (Thread 0x7f0bf02fd950 (LWP 25254)):
#0 pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1 0x00007f0c005c3e2b in ?? () from /usr/lib/mlt/libmltsdl.so
0000002 0x00007f0c07d99faa in start_thread (arg=<value optimized out>) at pthread_create.c:297
0000003 0x00007f0c082802cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
0000004 0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7f0bdf921950 (LWP 25259)):
#0 pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:217
#1 0x00007f0c0c264be3 in mlt_consumer_get_frame () from /usr/lib/libmlt.so.1
0000002 0x00007f0c0c264e2d in mlt_consumer_rt_frame () from /usr/lib/libmlt.so.1
0000003 0x00007f0c005c5131 in ?? () from /usr/lib/mlt/libmltsdl.so
0000004 0x00007f0c07d99faa in start_thread (arg=<value optimized out>) at pthread_create.c:297
0000005 0x00007f0c082802cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
0000006 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f0c0c54f700 (LWP 24977)):
[KCrash Handler]
0000005 0x00007f0c081e4105 in *__GI_raise (sig=<value optimized out>) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
0000006 0x00007f0c081e5623 in *__GI_abort () at abort.c:88
0000007 0x00007f0c0821eb18 in __libc_message (do_abort=2, fmt=0x7f0c082cefa8 "*** glibc detected *** %s: %s: 0x%s ***\n") at ../sysdeps/unix/sysv/linux/libc_fatal.c:170
0000008 0x00007f0c082241b8 in malloc_printerr (action=2, str=0x7f0c082cc5ca "malloc(): memory corruption", ptr=<value optimized out>) at malloc.c:5994
0000009 0x00007f0c08226ac4 in _int_malloc (av=0x7f0c08500a00, bytes=136) at malloc.c:4252
0000010 0x00007f0c082288d8 in *__GI___libc_malloc (bytes=136) at malloc.c:3551
0000011 0x00007f0c08a65d8d in operator new(unsigned long) () from /usr/lib/libstdc++.so.6
0000012 0x00007f0c08a65ec9 in operator new[](unsigned long) () from /usr/lib/libstdc++.so.6
0000013 0x00007f0c08d39251 in QHashData::rehash (this=0x3415930, hint=6) at tools/qhash.cpp:303
0000014 0x00007f0c095b6d3c in QHash<QString, QDomNodePrivate*>::insertMulti (this=0x3415828, akey=@0x7fff14688a60, avalue=@0x7fff14688a58) at ../../include/QtCore/../../src/corelib/tools/qhash.h:161
0000015 0x00007f0c095aaa34 in QDomNamedNodeMapPrivate::setNamedItem (this=<value optimized out>, arg=0x32e35a0) at dom/qdom.cpp:3123
0000016 0x00007f0c095aac32 in QDomNamedNodeMapPrivate::clone (this=0x3415710, p=0x34157a0) at dom/qdom.cpp:3071
0000017 0x00007f0c095ad533 in QDomElementPrivate (this=0x34157a0, n=0x32e33d0, deep=<value optimized out>) at dom/qdom.cpp:4424
0000018 0x00007f0c095ad5ec in QDomDocumentPrivate::importNode (this=0x37c9360, importedNode=0x32e33d0, deep=6) at dom/qdom.cpp:6405
0000019 0x00007f0c095af8cc in QDomDocument::importNode (this=0x7fff146890d0, importedNode=@0x7fff14688e10, deep=6) at dom/qdom.cpp:7111
0000020 0x00000000004e447d in KdenliveDoc::saveSceneList(QString const&, QDomDocument) ()
0000021 0x0000000000477240 in MainWindow::saveFileAs(QString const&) ()
0000022 0x0000000000485a87 in MainWindow::saveFileAs() ()
0000023 0x0000000000485dc0 in MainWindow::saveFile() ()
0000024 0x000000000049280a in MainWindow::qt_metacall(QMetaObject::Call, int, void**) ()
0000025 0x00007f0c08e15622 in QMetaObject::activate (sender=0x2536610, from_signal_index=<value optimized out>, to_signal_index=6, argv=0xffffffffffffffff) at kernel/qobject.cpp:3069
0000026 0x00007f0c09f446e7 in QAction::triggered (this=0x6191, _t1=false) at .moc/release-shared/moc_qaction.cpp:236
0000027 0x00007f0c09f45b60 in QAction::activate (this=0x2536610, event=<value optimized out>) at kernel/qaction.cpp:1160
0000028 0x00007f0c0a2ed6aa in QAbstractButtonPrivate::click (this=0x25a35a0) at widgets/qabstractbutton.cpp:525
0000029 0x00007f0c0a2ed945 in QAbstractButton::mouseReleaseEvent (this=0x2578440, e=0x7fff14689df0) at widgets/qabstractbutton.cpp:1115
0000030 0x00007f0c0a3bf40a in QToolButton::mouseReleaseEvent (this=0x6191, e=0x6191) at widgets/qtoolbutton.cpp:709
0000031 0x00007f0c09f9b7cf in QWidget::event (this=0x2578440, event=0x7fff14689df0) at kernel/qwidget.cpp:7516
0000032 0x00007f0c09f4a67d in QApplicationPrivate::notify_helper (this=0x1d476b0, receiver=0x2578440, e=0x7fff14689df0) at kernel/qapplication.cpp:4084
0000033 0x00007f0c09f52fca in QApplication::notify (this=<value optimized out>, receiver=0x2578440, e=0x7fff14689df0) at kernel/qapplication.cpp:3786
0000034 0x00007f0c0b9c911b in KApplication::notify (this=0x7fff1468ab40, receiver=0x2578440, event=0x7fff14689df0) at ../../kdeui/kernel/kapplication.cpp:307
0000035 0x00007f0c08dffc4c in QCoreApplication::notifyInternal (this=0x7fff1468ab40, receiver=0x2578440, event=0x7fff14689df0) at kernel/qcoreapplication.cpp:602
0000036 0x00007f0c09f52218 in QApplicationPrivate::sendMouseEvent (receiver=0x2578440, event=0x7fff14689df0, alienWidget=0x2578440, nativeWidget=0x259f800, buttonDown=<value optimized out>,
    lastMouseReceiver=@0x7f0c0a9aceb0) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:216
0000037 0x00007f0c09fbbca9 in QETWidget::translateMouseEvent (this=0x259f800, event=<value optimized out>) at kernel/qapplication_x11.cpp:4425
0000038 0x00007f0c09fbade8 in QApplication::x11ProcessEvent (this=0x7fff1468ab40, event=0x7fff1468a780) at kernel/qapplication_x11.cpp:3543
0000039 0x00007f0c09fe2fa4 in x11EventSourceDispatch (s=0x1d4b3c0, callback=0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
0000040 0x00007f0c050dae4a in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
0000041 0x00007f0c050de510 in ?? () from /usr/lib/libglib-2.0.so.0
0000042 0x00007f0c050de6ac in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
0000043 0x00007f0c08e2929f in QEventDispatcherGlib::processEvents (this=0x1d44ab0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:323
0000044 0x00007f0c09fe274f in QGuiEventDispatcherGlib::processEvents (this=0x6191, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:202
0000045 0x00007f0c08dfe4f2 in QEventLoop::processEvents (this=<value optimized out>, flags={i = 342403696}) at kernel/qeventloop.cpp:149
0000046 0x00007f0c08dfe8bd in QEventLoop::exec (this=0x7fff1468aab0, flags={i = 342403776}) at kernel/qeventloop.cpp:200
0000047 0x00007f0c08e00b84 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:880
0000048 0x0000000000472595 in main ()
Current language: auto; currently c

TagsNo tags attached.
Build/Install Method3rd party package
Attached Files

- Relationships

-  Notes
(0002677)
xzhayon (developer)
2009-04-09 03:07

what distro are you on? are you using qt 4.5?
could try building kdenlive with the builder wizard selecting the latest svn revision?
(0002696)
nadavkav (reporter)
2009-04-10 20:26

i use Debian (experimental) with kde 4.2.2 + qt 4.5
(and kommander 4, so i can not use the builder wizard)
i downloaded the latest svn version and compiled it successfully :-)
kdenlive Version 0.7.2 (rev. 3283)

now, it works fine :-)

- Issue History
Date Modified Username Field Change
2009-04-07 23:53 nadavkav New Issue
2009-04-07 23:53 nadavkav Build/Install Method => 3rd party package
2009-04-09 03:07 xzhayon Note Added: 0002677
2009-04-09 03:07 xzhayon Status new => feedback
2009-04-10 20:26 nadavkav Note Added: 0002696
2009-04-10 23:36 xzhayon Status feedback => resolved
2009-04-10 23:36 xzhayon Fixed in Version => Recent git
2009-04-10 23:36 xzhayon Resolution open => fixed
2009-04-10 23:36 xzhayon Assigned To => xzhayon
2009-04-10 23:36 xzhayon Assigned To xzhayon =>
2009-04-15 13:07 madsdyd Fixed in Version Recent git => 0.7.3
2009-06-18 01:51 xzhayon Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker